# OVERDRAFT_APPLICATION

The status of a freelancer overdraft application has changed.

Endpoint: POST overdraft_application
Version: 1.0

## Request fields (application/json):

  - `id` (string, required)
    The unique ID of a freelancer overdraft application.
    Example: "b83z264de98741018419b53648e20ca9coap"

  - `person_id` (string, required)
    The unique person ID, generated after completing the person onboarding process.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

  - `status` (string, required)
    The status of a freelancer overdraft application.
    Enum: "initial_scoring_pending", "account_snapshot_pending", "account_snapshot_verification_pending", "offered", "rejected", "expired", "deleted", "overdraft_created"

  - `created_at` (string, required)
    The date and time the freelancer overdraft application was created.
    Example: "2021-08-03T18:01:48.000Z"

  - `rejection_reasons` (array,null)
    The reason(s) for rejecting an overdraft application.

  - `partner_risk_class` (string,null)
    The risk class assigned to a freelancer by the partner.
    Example: "d"

  - `partner_reference_number` (string,null)
    The partner's reference number.
    Example: "a123456"

  - `partner_contact_number` (string,null)
    The number of the partner's contact person.
    Example: "+491565904345"

  - `partner_contact_name` (string,null)
    The name of the partner's contact person.
    Example: "Peter Mustermann"

  - `overdraft_rate` (number)
    The interest rate applicable to the overdraft.
    Example: 9

  - `overdraft_id` (string,null)
    The unique ID of a freelancer overdraft, generated after an overdraft is offered.
    Example: "00556cd181f2409aaa6c2a033cce3a8fcovd"

  - `limit` (object,null)
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `limit.value` (integer, required)
    The amount value
    Example: 1000

  - `limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `interest_conditions_enabled` (boolean)

  - `interest_accrual_rate` (number)
    The daily rate at which interest is accrued on the used amount of an overdraft.
    Example: 3

  - `decision` (string,null)
    Solaris' decision on the overdraft application.
    Enum: "REJECTED", "OFFERED"

  - `credit_record_id` (string,null)
    The unique ID of a credit record, generated after creating a freelancer credit record.
    Example: "fbb7d15fa4c54ba0b077592665ef04a4ccrd"

  - `account_snapshot_id` (string,null)
    The unique ID of an account snapshot of a specific person account.


## Response 200 fields
